ContainerManagementProtocolPBServiceImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.impl.pb.service, class: ContainerManagementProtocolPBServiceImpl

Package org.apache.hadoop.yarn.api.impl.pb.service

# Class ContainerManagementProtocolPBServiceImpl

java.lang.Object
org.apache.hadoop.yarn.api.impl.pb.service.ContainerManagementProtocolPBServiceImpl

All Implemented Interfaces:
  `ContainerManagementProtocolPB`, `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`

@Private public class ContainerManagementProtocolPBServiceImpl extends Object implements ContainerManagementProtocolPB

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainerManagementProtocolPBServiceImpl(org.apache.hadoop.yarn.api.ContainerManagementProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.CommitResponseProto`
  `commitLastReInitialization(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto containerId)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainerStatusesResponseProto`
  `getContainerStatuses(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainerStatusesRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetLocalizationStatusesResponseProto`
  `getLocalizationStatuses(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.GetLocalizationStatusesRequestProto request)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceResponseProto`
  `increaseContainersResource(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.ResourceLocalizationResponseProto`
  `localize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.ResourceLocalizationRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.ReInitializeContainerResponseProto`
  `reInitializeContainer(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.ReInitializeContainerRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.RestartContainerResponseProto`
  `restartContainer(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto containerId)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.RollbackResponseProto`
  `rollbackLastReInitialization(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto containerId)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.SignalContainerResponseProto`
  `signalToContainer(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.SignalContainerRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.StartContainersResponseProto`
  `startContainers(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.StartContainersRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersResponseProto`
  `stopContainers(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersRequestProto proto)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateResponseProto`
  `updateContainer(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateRequestProto proto)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContainerManagementProtocolPBServiceImpl

    public ContainerManagementProtocolPBServiceImpl(org.apache.hadoop.yarn.api.ContainerManagementProtocol impl)

- ## Method Details

  - ### startContainers

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.StartContainersResponseProto startContainers(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.StartContainersRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `startContainers` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### stopContainers

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersResponseProto stopContainers(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.StopContainersRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `stopContainers` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getContainerStatuses

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainerStatusesResponseProto getContainerStatuses(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.GetContainerStatusesRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getContainerStatuses` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### increaseContainersResource

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceResponseProto increaseContainersResource(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `increaseContainersResource` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### updateContainer

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateResponseProto updateContainer(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `updateContainer` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### signalToContainer

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.SignalContainerResponseProto signalToContainer(org.apache.hadoop.thirdparty.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServiceProtos.SignalContainerRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `signalToContainer` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Specified by:
      `signalToContainer` in interface `ContainerManagementProtocolPB`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### localize

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.ResourceLocalizationResponseProto localize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.ResourceLocalizationRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `localize` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### reInitializeContainer

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.ReInitializeContainerResponseProto reInitializeContainer(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.ReInitializeContainerRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `reInitializeContainer` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### restartContainer

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.RestartContainerResponseProto restartContainer(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto containerId) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `restartContainer` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### rollbackLastReInitialization

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.RollbackResponseProto rollbackLastReInitialization(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto containerId) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `rollbackLastReInitialization` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### commitLastReInitialization

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.CommitResponseProto commitLastReInitialization(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto containerId) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `commitLastReInitialization` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getLocalizationStatuses

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetLocalizationStatusesResponseProto getLocalizationStatuses(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.GetLocalizationStatusesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getLocalizationStatuses` in interface `org.apache.hadoop.yarn.proto.ContainerManagementProtocol.ContainerManagementProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`